Bug 17458 - missing dependecy on f2c
missing dependecy on f2c
Status: CLOSED NOTABUG
Product: Red Hat Powertools
Classification: Retired
Component: lapack (Show other bugs)
5.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-12 18:36 EDT by Thomas Breuel
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-12 18:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Breuel 2000-09-12 18:36:37 EDT
libblas and liblapack depend on f2c, but the shared libraries
don't contain that dependency.  As a result, attempts to load
those libraries dynamically (say, into Numerical Python) fail
when the dependency is triggered.

*** there is no dependency on libf2c:

nitrox:Test$ ldd /usr/lib/libblas.so.2
	libm.so.6 => /lib/libm.so.6 (0x40074000)
	libc.so.6 => /lib/libc.so.6 (0x40091000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
nitrox:Test$ ldd /usr/lib/liblapack.so.2
	libblas.so.2 => /usr/lib/libblas.so.2 (0x403b1000)
	libm.so.6 => /lib/libm.so.6 (0x40424000)
	libc.so.6 => /lib/libc.so.6 (0x40441000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)

*** yet, libblas depends on the symbol e_wsfe, defined in libf2c

nitrox:Test$ nm -o /usr/lib/libblas.so.2 | grep e_ws
/usr/lib/libblas.so.2:         U e_wsfe
nitrox:Test$ nm -o /usr/lib/libf2c.so.0 | grep e_ws
/usr/lib/libf2c.so.0:0000e670 T e_wsfe
/usr/lib/libf2c.so.0:00007de0 T e_wsfi
/usr/lib/libf2c.so.0:0001055c T e_wsle
/usr/lib/libf2c.so.0:00008068 T e_wsli
/usr/lib/libf2c.so.0:0000ea68 T e_wsue
nitrox:Test$
Comment 1 Trond Eivind Glomsrxd 2000-09-26 13:11:55 EDT
Actually, this isn't from the libf2c but from the libg2c which is part of the
g77 compiler and automatically used by it for compiler-internal symbols.

Note You need to log in before you can comment on or make changes to this bug.